endpoints
Creates, updates, deletes, gets or lists an endpoints resource.
Overview
| Name | endpoints |
| Type | Resource |
| Id | azure.storage_mover.endpoints |
Fields
The following fields are returned by SELECT queries:
- get
- list
| Name | Datatype | Description |
|---|---|---|
id | string | Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}. |
name | string | The name of the resource. |
description | string | A description for the Endpoint. |
endpointKind | string | The Endpoint resource kind source or target. Known values are: "Source" and "Target". (Source, Target) |
endpointType | string | The Endpoint resource type. Required. Known values are: "AzureStorageBlobContainer", "NfsMount", "AzureStorageSmbFileShare", "SmbMount", "AzureMultiCloudConnector", "AzureStorageNfsFileShare", and "S3WithHMAC". |
identity | object | The managed service identity of the resource. This property is only available on the latest version. |
provisioningState | string | The provisioning state of this resource. Known values are: "Succeeded", "Canceled", "Failed", and "Deleting". (Succeeded, Canceled, Failed, Deleting) |
systemData | object | Azure Resource Manager metadata containing createdBy and modifiedBy information. |
type | string | The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts". |
| Name | Datatype | Description |
|---|---|---|
id | string | Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}. |
name | string | The name of the resource. |
description | string | A description for the Endpoint. |
endpointKind | string | The Endpoint resource kind source or target. Known values are: "Source" and "Target". (Source, Target) |
endpointType | string | The Endpoint resource type. Required. Known values are: "AzureStorageBlobContainer", "NfsMount", "AzureStorageSmbFileShare", "SmbMount", "AzureMultiCloudConnector", "AzureStorageNfsFileShare", and "S3WithHMAC". |
identity | object | The managed service identity of the resource. This property is only available on the latest version. |
provisioningState | string | The provisioning state of this resource. Known values are: "Succeeded", "Canceled", "Failed", and "Deleting". (Succeeded, Canceled, Failed, Deleting) |
systemData | object | Azure Resource Manager metadata containing createdBy and modifiedBy information. |
type | string | The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts". |
Methods
The following methods are available for this resource:
| Name | Accessible by | Required Params | Optional Params | Description |
|---|---|---|---|---|
get | select | resource_group_name, storage_mover_name, endpoint_name, subscription_id | Gets an Endpoint resource. | |
list | select | resource_group_name, storage_mover_name, subscription_id | Lists all Endpoints in a Storage Mover. | |
create_or_update | insert | resource_group_name, storage_mover_name, endpoint_name, subscription_id, properties | Creates or updates an Endpoint resource, which represents a data transfer source or destination. | |
update | update | resource_group_name, storage_mover_name, endpoint_name, subscription_id | Updates properties for an Endpoint resource. Properties not specified in the request body will be unchanged. | |
create_or_update | replace | resource_group_name, storage_mover_name, endpoint_name, subscription_id, properties | Creates or updates an Endpoint resource, which represents a data transfer source or destination. | |
delete | delete | resource_group_name, storage_mover_name, endpoint_name, subscription_id | Deletes an Endpoint resource. |
Parameters
Parameters can be passed in the WHERE clause of a query. Check the Methods section to see which parameters are required or optional for each operation.
| Name | Datatype | Description |
|---|---|---|
endpoint_name | string | The name of the Endpoint resource. Required. |
resource_group_name | string | The name of the resource group. The name is case insensitive. Required. |
storage_mover_name | string | The name of the Storage Mover resource. Required. |
subscription_id | string |
SELECT examples
- get
- list
Gets an Endpoint resource.
SELECT
id,
name,
description,
endpointKind,
endpointType,
identity,
provisioningState,
systemData,
type
FROM azure.storage_mover.endpoints
WHERE resource_group_name = '{{ resource_group_name }}' -- required
AND storage_mover_name = '{{ storage_mover_name }}' -- required
AND endpoint_name = '{{ endpoint_name }}' -- required
AND subscription_id = '{{ subscription_id }}' -- required
;
Lists all Endpoints in a Storage Mover.
SELECT
id,
name,
description,
endpointKind,
endpointType,
identity,
provisioningState,
systemData,
type
FROM azure.storage_mover.endpoints
WHERE resource_group_name = '{{ resource_group_name }}' -- required
AND storage_mover_name = '{{ storage_mover_name }}' -- required
AND subscription_id = '{{ subscription_id }}' -- required
;
INSERT examples
- create_or_update
- Manifest
Creates or updates an Endpoint resource, which represents a data transfer source or destination.
INSERT INTO azure.storage_mover.endpoints (
properties,
identity,
resource_group_name,
storage_mover_name,
endpoint_name,
subscription_id
)
SELECT
'{{ properties }}' /* required */,
'{{ identity }}',
'{{ resource_group_name }}',
'{{ storage_mover_name }}',
'{{ endpoint_name }}',
'{{ subscription_id }}'
RETURNING
id,
name,
identity,
properties,
systemData,
type
;
# Description fields are for documentation purposes
- name: endpoints
props:
- name: resource_group_name
value: "{{ resource_group_name }}"
description: Required parameter for the endpoints resource.
- name: storage_mover_name
value: "{{ storage_mover_name }}"
description: Required parameter for the endpoints resource.
- name: endpoint_name
value: "{{ endpoint_name }}"
description: Required parameter for the endpoints resource.
- name: subscription_id
value: "{{ subscription_id }}"
description: Required parameter for the endpoints resource.
- name: properties
description: |
The resource specific properties for the Storage Mover resource. Required.
value:
endpointType: "{{ endpointType }}"
description: "{{ description }}"
endpointKind: "{{ endpointKind }}"
provisioningState: "{{ provisioningState }}"
- name: identity
description: |
The managed service identity of the resource. This property is only available on the latest version.
value:
principalId: "{{ principalId }}"
tenantId: "{{ tenantId }}"
type: "{{ type }}"
userAssignedIdentities: "{{ userAssignedIdentities }}"
UPDATE examples
- update
Updates properties for an Endpoint resource. Properties not specified in the request body will be unchanged.
UPDATE azure.storage_mover.endpoints
SET
properties = '{{ properties }}',
identity = '{{ identity }}'
WHERE
resource_group_name = '{{ resource_group_name }}' --required
AND storage_mover_name = '{{ storage_mover_name }}' --required
AND endpoint_name = '{{ endpoint_name }}' --required
AND subscription_id = '{{ subscription_id }}' --required
RETURNING
id,
name,
identity,
properties,
systemData,
type;
REPLACE examples
- create_or_update
Creates or updates an Endpoint resource, which represents a data transfer source or destination.
REPLACE azure.storage_mover.endpoints
SET
properties = '{{ properties }}',
identity = '{{ identity }}'
WHERE
resource_group_name = '{{ resource_group_name }}' --required
AND storage_mover_name = '{{ storage_mover_name }}' --required
AND endpoint_name = '{{ endpoint_name }}' --required
AND subscription_id = '{{ subscription_id }}' --required
AND properties = '{{ properties }}' --required
RETURNING
id,
name,
identity,
properties,
systemData,
type;
DELETE examples
- delete
Deletes an Endpoint resource.
DELETE FROM azure.storage_mover.endpoints
WHERE resource_group_name = '{{ resource_group_name }}' --required
AND storage_mover_name = '{{ storage_mover_name }}' --required
AND endpoint_name = '{{ endpoint_name }}' --required
AND subscription_id = '{{ subscription_id }}' --required
;